<?php

class dbMethods {

	function action($type) {
		$db = new PDO('mysql:host=localhost;dbname=books;charset=utf8', 'root', '');
		$db -> setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$db -> setAttribute(PDO::ATTR_EMULATE_PREPARES, false);

		if($type == 'addBook')
		try {
			$dodajKsiazke = $db -> prepare("INSERT INTO books(TITLE, AUTHOR, DATE, PUBLISHER, DESCRIPTION, URL) VALUES (?,?,?,?,?,?)");
			$dodajKsiazke -> execute(array($_POST['title'], $_POST['author'], $_POST['date'], $_POST['publisher'], $_POST['description'], $_POST['image_url']));
			echo json_encode(array('added' => true));
		} catch (PDOException $blad) {
			echo $blad;
		}
		elseif ($type == 'showAllBooks') {
			$jsony = array();
			try {
				$result = $db -> query("SELECT * FROM books ORDER BY ID");
				while ($row = $result -> fetch(PDO::FETCH_ASSOC)) {
					$jsony[] = array('id' => $row['ID'], 'title' => $row['TITLE'], 'author' => $row['AUTHOR'], 'date' => $row['DATE'], 'publisher' => $row['PUBLISHER'], 'description' => $row['DESCRIPTION'], 'image_url' => $row['URL']);
				}
				echo json_encode($jsony);
			} catch (PDOException $err) {
				echo $err;
			}

		}
		elseif($type == 'addToFav')
		try {
			$check = $db -> prepare("SELECT FAV_ID FROM FAV_BOOKS WHERE BOOK_ID = ?");
			$check -> execute(array($_POST['id']));

			if($check -> rowCount() == 0){
			$dodajKsiazke = $db -> prepare("INSERT INTO fav_books(BOOK_ID,MY_GRADE,MY_DESCRIPTION) VALUES (?,?,?)");
			$dodajKsiazke -> execute(array($_POST['id'],$_POST['my_grade'],$_POST['my_description']));
			echo json_encode(array('added' => true));	
			}
			else echo json_encode(array('added' => false));	
		} catch (PDOException $blad) {
			echo $blad;
		}		
		elseif ($type == 'showFavBooks') {
			$jsony = array();
			try {
				$result = $db -> query("SELECT * FROM fav_books,books WHERE books.id = fav_books.book_id ORDER BY ID");
				while ($row = $result -> fetch(PDO::FETCH_ASSOC)) {
					$jsony[] = array('id' => $row['ID'], 'fav_id' => $row['FAV_ID'], 'title' => $row['TITLE'], 'author' => $row['AUTHOR'], 'date' => $row['DATE'], 'publisher' => $row['PUBLISHER'], 'description' => $row['DESCRIPTION'], 'my_grade' => $row['MY_GRADE'], 'my_description' => $row['MY_DESCRIPTION'], 'image_url' => $row['URL']);
				}
				echo json_encode($jsony);
			} catch (PDOException $err) {
				echo $err;
			}

		}
		elseif ($type == 'delBook') {
			$jsony = array();
			try {
				$result = $db -> prepare("DELETE FROM books WHERE id=?");
				$result -> execute(array($_POST['id']));
				echo json_encode(array('removed' => true));
				}
			catch (PDOException $err) {
				echo $err;
			}
		}	
		elseif ($type == 'delFavBook') {
			$jsony = array();
			try {
				$result = $db -> prepare("DELETE FROM fav_books WHERE fav_id=?");
				$result -> execute(array($_POST['fav_id']));
				echo json_encode(array('removed' => true));
				}
			catch (PDOException $err) {
				echo $err;
			}
		}
	}

}
$d = new dbMethods();
$d->action($_POST['action']);
?>