function showModal(id,modal_type){
$('.book_id').val(id);
$('#'+modal_type).modal('show');
}

function showAllBooks() {
	var kodHtml = "";
	var dane = 'action=showAllBooks';
	$.ajax({
		type : "POST",
		url : "dbMethods.php",
		data : dane,
		dataType : "json",
		success : function(response) {
			if (response[0] !== undefined && response[0]['id'] !== undefined) {
				kodHtml = '<ul class="thumbnails">';
				$.each(response, function(i) {
					kodHtml += '<li class="span5"><div class="thumbnail"><img src="'+response[i]['image_url']+'" alt="">';
					kodHtml += '<div class="caption"><h3>' + response[i]['title'] + '</h3>';
					kodHtml += '<p><b>Autor:</b> ' + response[i]['author'] + '</p>';
					kodHtml += '<p><b>Data wydania:</b> ' + response[i]['date'] + '</p>';
					kodHtml += '<p><b>Wydawnictwo:</b> ' + response[i]['publisher'] + '</p>';
					kodHtml += '<p><b>Opis:</b> ' + response[i]['description'] + '</p>';
					kodHtml += '<p><a href="#" id="addToFavLink" role="button" class="btn btn-success" onclick=showModal(' + response[i]['id']+ ',"addToFavModal") data-toggle="modal"><i class="icon-list icon-white"></i> Add to Fav.</a>';
					kodHtml += ' <a href="#" id="delBookLink" role="button" class="btn btn-warning" onclick=showModal(' + response[i]['id']+ ',"delBookModal") data-toggle="modal"> <i class="icon-trash"></i> Delete</a></p></div></div></li>';
					
				});
				kodHtml += '</ul>';
				}
				else {
					kodHtml = 'TUTAJ PUSTO';
				}
				$('#showAllBooksTab').html(kodHtml);
		}
	});
	return false;
}

function showFavBooks(){
var kodHtml = "";
	var dane = 'action=showFavBooks';
	$.ajax({
		type : "POST",
		url : "dbMethods.php",
		data : dane,
		dataType : "json",
		success : function(response) {
			if (response[0] !== undefined && response[0]['id'] !== undefined) {
				kodHtml = '<ul class="thumbnails">';
				$.each(response, function(i) {
					kodHtml += '<li class="span4"><div class="thumbnail"><img src="" alt="">';
					kodHtml += '<h3>' + response[i]['title'] + '</h3>';
					kodHtml += '<p>Autor: ' + response[i]['author'] + '</p>';
					kodHtml += '<p>Data wydania: ' + response[i]['date'] + '</p>';
					kodHtml += '<p>Wydawnictwo: ' + response[i]['publisher'] + '</p>';
					kodHtml += '<p>Opis: ' + response[i]['description'] + '</p>';
					kodHtml += '<p>Moja ocena: ' + response[i]['my_grade'] + '</p>';
					kodHtml += '<p>Moj komentarz: ' + response[i]['my_description'] + '</p>';
					kodHtml += '<p><a href="#" id="delFavBookLink" role="button" class="btn btn-warning" onclick=showModal(' + response[i]['fav_id']+ ',"delFavbookModal") data-toggle="modal"> <i class="icon-trash"></i> Delete</a></p></div></div></li>';
				});
				kodHtml += '</ul>';
				}else{
					kodHtml='TUTAJ PUSTO';
				}
				$('#favBooksTab').html(kodHtml);
		}
	});
	return false;
}

function addToFav(){
var data = 'action=addToFav' + '&id=' +  $("#addToFavModalBookId").val()+ '&my_grade=' + $("#my_grade").val() + '&my_description='+ $("#my_description").val();		$.ajax({
			type : "POST",
			url : "dbMethods.php",
			data : data,
			dataType : "json",
			success : function(response) {
				if (response.added) {
					$("#alertBox").removeClass();
					$("#alertBox").addClass("alert");
					$("#alertBox").addClass("alert-success");
					$("#alertBox").html("Pomyślnie dodano książkę do ulubionych");
					$("#alertBox").show();
					$("#alertBox").fadeOut(3000);
					navigate("showAllBooksTab");

				} else if (!response.added) {
					$("#alertBox").removeClass();
					$("#alertBox").addClass("alert");
					$("#alertBox").addClass("alert-error");
					$("#alertBox").html("Błąd przy dodawaniu książki do ulubionych");
					$("#alertBox").show();
					$("#alertBox").fadeOut(3000);
				}
			}
		});
		return false;
}

function delBook(){
	var data = 'action=delBook' + '&id=' +$('#delBookModalBookId').val();
		$.ajax({
			type : "POST",
			url : "dbMethods.php",
			data : data,
			dataType : "json",
			success : function(response) {
				if (response.removed) {
					$("#alertBox").removeClass();
					$("#alertBox").addClass("alert");
					$("#alertBox").addClass("alert-info");
					$("#alertBox").html("Książka została pomyślnie usunięta");
					$("#alertBox").show();
					$("#alertBox").fadeOut(3000);
					navigate("showAllBooksTab");
				} else if (!response.removed) {
					$("#alertBox").removeClass();
					$("#alertBox").addClass("alert");
					$("#alertBox").addClass("alert-error");
					$("#alertBox").html("Błąd przy usuwaniu książki");
					$("#alertBox").show();
					$("#alertBox").fadeOut(3000);
				}
			}
		});
		return false;
}

function delFavBook(){
	var data = 'action=delFavBook' + '&fav_id=' +$('#delBookModalBookId').val();
		$.ajax({
			type : "POST",
			url : "dbMethods.php",
			data : data,
			dataType : "json",
			success : function(response) {
				if (response.removed) {
					$("#alertBox").removeClass();
					$("#alertBox").addClass("alert");
					$("#alertBox").addClass("alert-info");
					$("#alertBox").html("Książka została pomyślnie usunięta z ulubionych");
					$("#alertBox").show();
					$("#alertBox").fadeOut(3000);
					navigate("favBooksTab");
				} else if (!response.removed) {
					$("#alertBox").removeClass();
					$("#alertBox").addClass("alert");
					$("#alertBox").addClass("alert-error");
					$("#alertBox").html("Błąd przy usuwaniu książki");
					$("#alertBox").show();
					$("#alertBox").fadeOut(3000);
				}
			}
		});
		return false;
}

function setActiveTab(tab){
	$('#showAllBooksLink').parent().removeClass("active");
	$('#favBooksLink').parent().removeClass("active");
	$('#addBookLink').parent().removeClass("active");
	$('#searchLink').parent().removeClass("active");
	$('#'+tab).parent().addClass("active");
}

function navigate(location){

	if(location == "showAllBooksTab"){
		showAllBooks();
		$('#showAllBooksTab').show();
		$('#favBooksTab').hide();
		$('#searchTab').hide();
		$('#addBookTab').hide();
		setActiveTab("showAllBooksLink");
	}
	else if(location == "favBooksTab"){
		$('#showAllBooksTab').hide();
		$('#favBooksTab').show();
		$('#searchTab').hide();
		$('#addBookTab').hide();
		showFavBooks();
		setActiveTab("favBooksLink");	
	}
	else if(location == "addBookTab"){
		$('#title').val("");
		$('#author').val("");
		$('#date').val("");
		$('#publisher').val("");
		$('#image_url').val("");
		$('#description').val("");
		$('#showAllBooksTab').hide();
		$('#favBooksTab').hide();
		$('#searchTab').hide();
		$('#addBookTab').show();
		$('#date').datepicker();
		setActiveTab("addBookLink");
	}
	else if(location == "searchTab"){
		$('#showAllBooksTab').hide();
		$('#favBooksTab').hide();
		$('#searchTab').show();
		$('#addBookTab').hide();
		setActiveTab("searchLink");
		
	}
}

function validate(){
 	return $('#addBookForm').validate(
 {
  rules: {
    title: {
      minlength: 3,
      required: true
    },
    publisher: {
      required: true
    }
  },
  highlight: function(label) {
  	$(label).closest('.control-group').removeClass("error");
  	$(label).closest('.control-group').removeClass("success");
    $(label).closest('.control-group').addClass('control-group error');
  	},
  success: function(label) {
    label
      .text('OK!').addClass('valid')
      .closest('.control-group').removeClass("success")
      .closest('.control-group').removeClass("error")
      .closest('.control-group').addClass('success');
  },
  submitHandler: function(form){
  	addBookAction();
  }
 });

}

function addBookAction(){
		var data = 'action=addBook' + '&title=' + $("#title").val() + '&author=' + $("#author").val() + '&date=' + $("#date").val()+ '&publisher=' + $("#publisher").val()+ '&description=' + $("#description").val()+ '&image_url=' + $("#image_url").val();
		$.ajax({
			type : "POST",
			url : "dbMethods.php",
			data : data,
			dataType : "json",
			success : function(response) {
				if (response.added) {
					$("#alertBox").removeClass();
					$("#alertBox").addClass("alert");
					$("#alertBox").addClass("alert-success");
					$("#alertBox").html("Pomyślnie dodano książkę do bazy");
					$("#alertBox").show();
					$("#alertBox").fadeOut(3000);
					navigate("showAllBooksTab");
				}else{
					$("#alertBox").removeClass();
					$("#alertBox").addClass("alert");
					$("#alertBox").addClass("alert-error");
					$("#alertBox").html("Błąd przy dodawaniu książki do bazy");
					$("#alertBox").show();
					$("#alertBox").fadeOut(3000);
				}
			}
		});
		return false;	
}

$(document).ready(function() {

$('#favBooksTab').hide();
$('#addBookTab').hide();
$('#searchTab').hide();
showAllBooks();
validate();

});
